#include <cl.h>
#include <clu.h>
#include <clio.h>

#include <GL/glut.h>

#include <fmod.h>

#include <zf.h>

#if 1
#include <fmod_errors.h>
#endif

int main(int argc, char** argv)
{
    clEnable(CL_VERBOSE);
    clioEnable(CLIO_VERBOSE);

    zf_collision_system_init();
    zf_render_system_init();

    zf_heightmap_init(argv[1]);

    /* close it up */
    zf_heightmap_close();
    zf_render_system_close();
    zf_collision_system_close();

    return 1;
}

